<!-- affichage  reclamations reçus pour responsable  et les reclamations envoyées par la gouvernanate -->


<!-- affichage  rec reçus pour responsable  -->
<div *ngIf=" isRecu">
    <div class="main-content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header card-header-danger">
                            <h4 class="card-title   ">Liste des reclamations reçus</h4>
                            <p class="card-category"></p>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table">
                                    <thead>
                                    <th class="td-actions text-center">
                                        ID
                                    </th>
                                    <th class="td-actions text-center">
                                        Gouvernante
                                    </th>
                                    <th class="td-actions text-center">
                                        Libellé emplacment
                                    </th>
                                    <th class="td-actions text-center">
                                        Panne
                                    </th>
                                    <th class="td-actions text-center">
                                        Priorité
                                    </th>
                                    <th class="td-actions text-center">
                                        Observation
                                    </th>
                                    <th class="td-actions text-center">
                                        Date d'envoi
                                    </th>

                                    <th>
                                    </th>
                                    </thead>
                                    <tbody>
                                    <tr *ngFor=" let c of reclamations">
                                        <td class="td-actions text-center">{{c.id}}</td>
                                        <td class="td-actions text-center">{{c.Gouvernante.prenom}}</td>
                                        <td class="td-actions text-center">{{c.Emplacement.libelle_emplacement}}</td>
                                        <td class="td-actions text-center">
                                            <div *ngFor=" let p of c.Pannes"> {{p.libelle_panne}} </div>
                                        </td>

                                        <td class="td-actions text-center" *ngIf="c.priorite == 'bas'" > <span class="vert">{{c.priorite}}</span></td>
                                        <td class="td-actions text-center" *ngIf="c.priorite == 'haut'" > <span class="red">{{c.priorite}}</span></td>
                                        <td class="td-actions text-center" *ngIf="c.priorite == 'moyenne'" ><span class="orang">{{c.priorite}}</span></td>

                                        <td class="td-actions text-center" *ngIf="c.observation.length>7">{{c.observation | slice: 0:7 }} ...</td>
                                        <td class="td-actions text-center" *ngIf="c.observation.length <= 7">{{c.observation}}</td>
                                        <td class="td-actions text-center">{{c.date_envoi | date:'short'}}</td>

                                        <td>
                                            <button mat-raised-button type="submit"
                                                    class="btn btn-outline-success btn-sm float-left"
                                                    [routerLink]="[ '/reclamationsRecu', c.id ]">Détails
                                            </button>
                                        </td>

                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- affichage de gouvernante  -->
<div *ngIf="isgouv">
    <div class="main-content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header card-header-danger">
                            <h4 class="card-title   ">Liste des reclamations envoyées</h4>
                            <p class="card-category"></p>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table">
                                    <thead>
                                    <th class="td-actions text-center">
                                        ID
                                    </th>
                                    <th class="td-actions text-center">
                                        Libellé emplacment
                                    </th>
                                    <th class="td-actions text-center">
                                        Panne
                                    </th>
                                    <th class="td-actions text-center">
                                        Priorité
                                    </th>
                                    <th class="td-actions text-center">
                                        Observation
                                    </th>
                                    <th class="td-actions text-center">
                                        Date d'envoi
                                    </th>
                                    <th>
                                    </th>
                                    </thead>
                                    <tbody>
                                    <tr *ngFor=" let c of reclamations">
                                        <td class="td-actions text-center">{{c.id}}</td>
                                        <td class="td-actions text-center">{{c.Emplacement.libelle_emplacement}}</td>
                                        <td class="td-actions text-center">
                                            <div *ngFor=" let p of c.Pannes"> {{p.libelle_panne}} </div>
                                        </td>
                                        <td class="td-actions text-center" *ngIf="c.priorite == 'bas'" > <span class="vert"> {{c.priorite}}</span></td>
                                        <td class="td-actions text-center" *ngIf="c.priorite == 'haut'"> <span class="red">{{c.priorite}}</span></td>
                                        <td  class="td-actions text-center" *ngIf="c.priorite == 'moyenne'" ><span class="orang">{{c.priorite}}</span></td>

                                        <td class="td-actions text-center" *ngIf="c.observation.length>7">{{c.observation | slice: 0:7 }} ...</td>
                                        <td  class="td-actions text-center" *ngIf="c.observation.length <= 7">{{c.observation}}</td>
                                        <td class="td-actions text-center">{{c.date_envoi | date:'short'}}</td>
                                        <td>
                                            <button mat-raised-button type="submit"
                                                    class="btn btn-outline-success btn-sm float-left"
                                                    [routerLink]="[ '/reclamationsEnvoyees', c.id ]">Détails
                                            </button>
                                        </td>

                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>



